## org.codehaus.groovy.grails.plugins.testing
Class GrailsMockHttpSession

    java.lang.Object
      org.springframework.mock.web.MockHttpSession
          org.codehaus.groovy.grails.plugins.testing.GrailsMockHttpSession

All Implemented Interfaces:
  groovy.lang.GroovyObject, HttpSession

    public class GrailsMockHttpSession

extends MockHttpSession
implements groovy.lang.GroovyObject

Field Summary

Fields inherited from class org.springframework.mock.web.MockHttpSession
`SESSION_COOKIE_NAME`

Constructor Summary
`GrailsMockHttpSession()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `getAt(String name)`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String name)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `putAt(String name, Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String name, Object value)`

Methods inherited from class org.springframework.mock.web.MockHttpSession
`access, clearAttributes, deserializeState, getAttribute, getAttributeNames, getCreationTime, getId, getLastAccessedTime, getMaxInactiveInterval, getServletContext, getSessionContext, getValue, getValueNames, invalidate, isInvalid, isNew, putValue, removeAttribute, removeValue, serializeState, setAttribute, setMaxInactiveInterval, setNew`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsMockHttpSession

    public GrailsMockHttpSession()

Method Detail

### getProperty

    public Object getProperty(String name)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String name,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

### getAt

    public Object getAt(String name)

### putAt

    public void putAt(String name,
                      Object value)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project